cURL
curl --request GET \
--url https://sandbox.dollarpe.xyz/pos/api/v1/payout/quotation/{quotation_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.dollarpe.xyz/pos/api/v1/payout/quotation/{quotation_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.dollarpe.xyz/pos/api/v1/payout/quotation/{quotation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "def8b740-99f9-4cba-bc9e-99de57e927b4",
"bank_id": "4e6f1b20-a73c-11ec-b909-0242ac120002",
"status": "PROCESSING",
"asset": "USDT",
"fiat": "INR",
"sending_amount": 10,
"rate": 87.2,
"receiving_amount": 846.19,
"fees": {
"client_fee_fiat": 450,
"client_fee_crypto": 5,
"dollarpe_fee": 450,
"pg_fee": 18,
"client_gst_fiat": 81,
"client_gst_crypto": 0.9,
"dollarpe_gst": 81,
"pg_gst": 81,
"tds": 889.17,
"gross_effective_exchange_rate": 88.92
},
"created_at": "2025-03-04T15:54:20+00:00",
"expiry_time": "2025-03-04T15:59:20+00:00"
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"quotation_id": [
"quotation_id is invalid"
]
},
"data": null
}{
"success": false,
"message": "Internal Server Error",
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later.",
"data": null
}Quotation
Fetch Quotation
Returns the details and current status of a specific payout quotation.
GET
/
payout
/
quotation
/
{quotation_id}
cURL
Fetch Quotation
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Quotation ID is required. | Missing Quotation ID |
| 400 | Quotation ID is invalid | Invalid Quotation ID |
| 500 | Internal Server Error | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
The unique identifier of the quotation
Example:
"2e104290-07c8-49f1-a5ca-0d27f0078f8a"
⌘I

